directory-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eugen Paraschiv <eug...@axz.ro>
Subject Java access of the server
Date Fri, 04 Jul 2008 07:41:13 GMT
I'll try to go into specifics. I am trying simply to connect to an LDAP 
server; I installed Apache Directory 1.5.2 and I started it on 
localhost; Now I am trying to access it from Java programatically, and I 
found a few examples of code which were a little old. Now that the 
classes are removed from 1.5.2 I am trying to achieve the same 
functionality with the new classes: to connect to the server, do a 
search, and some entries and disconnect (to start with); the problem is 
that I cannot find the Javadoc for 1.5.2 and there seem to be no 
examples out there for this version. Should I simply use the 1.5.1 or 
the 1.0.2 version and wait for the next release? The problem is that, if 
classes are removed in 1.5.2, if I rely on 1.5.1 and then the next 
release comes out and I start using it, then my code will be broken, so 
I would prefer going with the latest version (if I can find the Javadoc 
or some examples).
Tank you for your answers. Eugen.

-- 
Eugen Paraschiv, Java Developer
AZOTH Ltd
Grigore Alexandrescu 52
Bucharest, 010626, Romania
Tel: +40728-896170; 


-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.


Mime
View raw message